<ng-container *ngIf="!loading">
    <div class="animated fadeIn" *ngIf="!selected">
        <kendo-grid 
            [data]="dataGrid" 
            [selectable]="true"
            [filter]="filter"
            [filterable]="true"
            [navigable]="true"
            [reorderable]="true"
            [resizable]="true"
            [sort]="sort"
            [sortable]="true" 
            (selectionChange)="selectRow($event)"
            (filterChange)="filterChange($event)"
            (sortChange)="sortChange($event)"
            style="height:68vh;" class="mt-1">
            <kendo-grid-column field="grupo"         title="Grupo"        width="150"></kendo-grid-column>
            <kendo-grid-column field="hfolio"        title="# Folio"      width="200" class="text-right"></kendo-grid-column>
            <kendo-grid-column field="hapellido"     title="Apellido(s)"  width=""></kendo-grid-column>
            <kendo-grid-column field="hnombre"       title="Nombre(s)"    width=""></kendo-grid-column>
            <kendo-grid-column field="heactual"      title="E.A."         width="100" [filterable]="false"></kendo-grid-column>
            <kendo-grid-column field="hconfirmacion" title="Confirmación" width="150" [filterable]="false"></kendo-grid-column>
        </kendo-grid>
    </div>
</ng-container>

<app-loading *ngIf="loading"></app-loading>